%global goipath github.com/oracle/oci-go-sdk
Version:        5.4.0
%gometa

%global common_description %{expand:
This is the Go SDK for Oracle Cloud Infrastructure. This project is open source
and maintained by Oracle Corp.}

Name:           %{goname}
Release:        1%{?dist}
Summary:        Go SDK for Oracle Cloud Infrastructure
License:        UPL or ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(github.com/stretchr/testify/mock)


%description
%{common_description}


%package devel
Summary:        %{summary}
BuildArch:      noarch


%description devel
%{common_description}

This package contains the source code needed for building packages that import
the %{goipath} Go namespace.


%prep
%forgeautosetup


%install
# upstream has a versioning tool that is not useful for us
%goinstall -t cmd


%check
%gochecks


%files devel -f devel.file-list
%license LICENSE.txt
%doc README.md CHANGELOG.md


%changelog
* Wed Apr 17 2019 Carl George <carl@george.computer> - 5.4.0-1
- Initial package
